<?php
/**
 * @package		HikaShop for Joomla!
 * @version		1.4.7
 * @author		hikashop.com
 * @copyright	(C) 2010 HIKARI SOFTWARE. All rights reserved.
 * @license		GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die('Restricted access');
?>
<div class="hikashop_ebs_end" id="hikashop_ebs_end">
	<span id="hikashop_ebs_end_message" class="hikashop_ebs_end_message">
		<?php echo JText::_('PLEASE_WAIT_BEFORE_REDIRECTION_TO_AUTHORIZE').'<br/>'. JText::_('CLICK_ON_BUTTON_IF_NOT_REDIRECTED');?>
	</span>
	<span id="hikashop_ebs_end_spinner" class="hikashop_ebs_end_spinner">
		<img src="<?php echo HIKASHOP_IMAGES.'spinner.gif';?>" />
	</span>
	<br/>
	<form id="hikashop_ebs_form" name="hikashop_ebs_form" action="<?php echo $method->payment_params->url;?>" method="post">
		<div id="hikashop_ebs_end_image" class="hikashop_ebs_end_image">
			<input id="hikashop_ebs_button" type="submit" value="<?php echo JText::_('PAY_ON_AUTHORIZE');?>" name="" alt="Click to pay with EBS" />
		</div>
		<?php
			foreach( $vars as $name => $value ) {
				if(is_array($value)){
					foreach($value as $v){
						echo '<input type="hidden" name="'.$name.'" value="'.htmlspecialchars($v).'" />';
					}
				}else{
					echo '<input type="hidden" name="'.$name.'" value="'.htmlspecialchars($value).'" />';
				}
			}
			$doc =& JFactory::getDocument();
			$doc->addScriptDeclaration("window.addEvent('domready', function() {document.getElementById('hikashop_ebs_form').submit();});");
			JRequest::setVar('noform',1);
		?>
	</form>
</div>